View Issue Details

IDProjectCategoryView StatusLast Update
0000748Industrial-Craft²crossmod-compatibility / submodules / APIpublic2013-10-26 09:33
ReporterwalkerbohAssigned ToThunderdark 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSWin 7OS VersionSP1
Product Version 
Target VersionFixed in Version 
Summary0000748: Batbox Recipe in NEI crash with Extra Utils
DescriptionWhen you look up the recipe for a batbox in NEI, the client crashes and the crash report says:

java.lang.ArrayIndexOutOfBoundsException: 32767
    at extrautils.item.RenderItemBlockColor.renderItem(RenderItemBlockColor.java:85)
    at net.minecraftforge.client.ForgeHooksClient.renderInventoryItem(ForgeHooksClient.java:163)
    at net.minecraft.client.renderer.entity.RenderItem.func_82406_b(RenderItem.java:465)
    at net.minecraft.client.gui.inventory.GuiContainer.drawSlotItem(GuiContainer.java:485)
    at net.minecraft.client.gui.inventory.GuiContainer.func_74192_a(GuiContainer.java:472)
    at net.minecraft.client.gui.inventory.GuiContainer.func_73863_a(GuiContainer.java:150)
    at net.minecraft.client.renderer.EntityRenderer.func_78480_b(EntityRenderer.java:1036)
    at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:944)
    at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:836)
    at net.minecraft.client.main.Main.main(SourceFile:101)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:57)
    at net.minecraft.launchwrapper.Launch.main(Launch.java:18)

Unsure if IC2 problem, NEI, or Extra Utils. Have reported to Extra Utils incase it has nothing to do with ic2.
Steps To ReproduceHave NEI with IC2 and Extra Utils. Lookup recipe for batbox.
TagsNo tags attached.
Minecraft Version

Activities

sen-mithrarin

2013-10-21 12:16

reporter   ~0001823

Last edited: 2013-10-22 20:37

View 2 revisions

Extra Utils Bug !

look at StackTrace : Exception ... at ...

seems like renderer of EU has problems with IC2 "all values" covered by 32767

Thunderdark

2013-10-21 15:18

viewer   ~0001827

in next Build 278+

bdew

2013-10-23 22:17

reporter   ~0001842

Still bugged in 279

bigfoot

2013-10-26 09:32

reporter   ~0001851

Fixed in ExtraUtils, get the latest one (0.3.0) here: http://www.minecraftforum.net/topic/1776056-164forge-extra-utilities-v03/

With ExtraUtils 0.3.0 and IC2e 280 it's not an issue anymore.

@Thunderdark / Greg / Player: You should close this.

bigfoot

2013-10-26 09:33

reporter   ~0001852

Sorry, it was resolved already ^^
My bad.

Issue History

Date Modified Username Field Change
2013-10-21 04:58 walkerboh New Issue
2013-10-21 12:16 sen-mithrarin Note Added: 0001823
2013-10-21 15:18 Thunderdark Note Added: 0001827
2013-10-21 15:18 Thunderdark Status new => resolved
2013-10-21 15:18 Thunderdark Resolution open => fixed
2013-10-21 15:18 Thunderdark Assigned To => Thunderdark
2013-10-22 20:37 sen-mithrarin Note Edited: 0001823 View Revisions
2013-10-23 22:17 bdew Note Added: 0001842
2013-10-26 09:32 bigfoot Note Added: 0001851
2013-10-26 09:33 bigfoot Note Added: 0001852